Skip to content
Navigation

Reads the store's order totals over a period of any length, against the span before it.

GET
https://api.sherpo.io/merchant/v1/stores/{store}/orders/stats

Authorization

  • bearer
    HTTP
    required

Path parameters

  • store
    string
    required

    The store's id.

Query parameters

  • from
    optional
    string
    format: date
  • to
    optional
    string
    format: date

Returns

200

Reads the store's order totals over a period of any length, against the span before it.

JSON
  • orders
    object
    required
    • current
      number
      required
    • previous
      number
      required
  • currencies
    array of
    object
    required
    • net
      required

      One of the following:

      • object
      • null
    • average
      required

      One of the following:

      • object
      • null
    • platform_fee
      required

      One of the following:

      • object
      • null
    • processor_fee
      required

      One of the following:

      • object
      • null
    • affiliate_fee
      required

      One of the following:

      • object
      • null
    • currency
      string
      required
    • exponent
      required

      One of the following:

      • number
      • null
    • gross
      required

      One of the following:

      • object
      • null
    • orders
      object
      required
      • current
        number
        required
      • previous
        number
        required
    • refunded
      required

      One of the following:

      • object
      • null
  • time_zone
    string
    required
  • from
    string
    required
  • to
    string
    required
  • previous_range
    object
    required
    • from
      string
      required
    • to
      string
      required
JSON
  • type
    string
    required
    format: uri
  • title
    string
    required
  • status
    integer
    required
  • detail
    string
    required
  • code
    optional
    string
  • context
    optional
    object
  • reached_core
    optional
    boolean
  • core_answer
    optional
    string

Type to search…

↑↓ navigate↵ selectEsc close